Skip site navigation (1)Skip section navigation (2)
Date:      Sun, 27 Aug 2017 14:06:05 +0000 (UTC)
From:      Raphael Kubo da Costa <rakuco@FreeBSD.org>
To:        ports-committers@freebsd.org, svn-ports-all@freebsd.org, svn-ports-head@freebsd.org
Subject:   svn commit: r448821 - in head/www/qt5-webkit: . files
Message-ID:  <201708271406.v7RE65uv080867@repo.freebsd.org>

next in thread | raw e-mail | index | archive | help
Author: rakuco
Date: Sun Aug 27 14:06:05 2017
New Revision: 448821
URL: https://svnweb.freebsd.org/changeset/ports/448821

Log:
  Ensure qconfig-modules.h does not include qconfig-webkit.h
  
  r448361 updated Qt WebKit and dropped QT_DIST and QT_DEFINES, which led to
  existing installations being upgraded to remove qconfig-webkit.h while not
  removing the corresponding #include <QtCore/modules/qconfig-webkit.h> from
  qconfig-modules.h.
  
  Consequently, any build that uses existing Qt5 ports (i.e. building a port
  locally, or any project using Qt5) fails with errors like:
  
      /usr/local/include/qt5/QtCore/qconfig-modules.h:8:10: fatal error:
      'QtCore/modules/qconfig-webkit.h' file not found
  
  Add a pkg-install that takes care of removing any offending lines from
  qconfig-modules.h.
  
  PR:		221828
  Reviewed by:	tcberner, Adriaan de Groot <groot@kde.org>

Added:
  head/www/qt5-webkit/files/pkg-install.in   (contents, props changed)
Modified:
  head/www/qt5-webkit/Makefile

Modified: head/www/qt5-webkit/Makefile
==============================================================================
--- head/www/qt5-webkit/Makefile	Sun Aug 27 13:56:40 2017	(r448820)
+++ head/www/qt5-webkit/Makefile	Sun Aug 27 14:06:05 2017	(r448821)
@@ -2,6 +2,7 @@
 
 PORTNAME=		webkit
 DISTVERSION=		5.212.0-alpha2
+PORTREVISION=		1
 CATEGORIES=		www
 MASTER_SITES=		https://github.com/annulen/${PORTNAME}/releases/download/${DISTNAME}/
 PKGNAMEPREFIX=		qt5-
@@ -45,5 +46,8 @@ CMAKE_ARGS=		-DPORT:STRING="Qt" \
 CXXFLAGS+=		-DNDEBUG
 
 PLIST_SUB=		FULLVER="${PORTVERSION:R}"
+
+SUB_FILES=		pkg-install
+SUB_LIST=		QT_INCDIR="${QT_INCDIR}"
 
 .include <bsd.port.mk>

Added: head/www/qt5-webkit/files/pkg-install.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/www/qt5-webkit/files/pkg-install.in	Sun Aug 27 14:06:05 2017	(r448821)
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+# Before r448361, QtWebKit had QT_DEFINES, which caused qconfig-modules.h to
+# include qconfig-webkit.h, which we no longer set. We no longer ship
+# qconfig-webkit.h, we need to make sure qconfig-modules.h no longer includes
+# it (see bug 221828).
+
+if [ "$2" = "POST-INSTALL" ]; then
+    sed -i "" '/qconfig-webkit.h/d' \
+	%%QT_INCDIR%%/QtCore/qconfig-modules.h 2>/dev/null || true
+fi



Want to link to this message? Use this URL: <https://mail-archive.FreeBSD.org/cgi/mid.cgi?201708271406.v7RE65uv080867>